//
//  NotificationsMode.swift
//  TuskerPreferences
//
//  Created by Shadowfacts on 9/14/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

import Foundation

public enum NotificationsMode: String, Codable, CaseIterable {
    case allNotifications
    case mentionsOnly
}

extension NotificationsMode {
    public var displayName: String {
        switch self {
        case .allNotifications:
            return NSLocalizedString("All Notifications", comment: "display all notifications mode")
        case .mentionsOnly:
            return NSLocalizedString("Mentions Only", comment: "display only mentions mode")
        }
    }
}
